play.db

## Interface DataSourceFactory

- All Known Implementing Classes:
    C3P0DataSourceFactory, HikariDataSourceFactory

      public interface DataSourceFactory

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.sql.DataSource` | `createDataSource(Configuration dbConfig)`
    `java.lang.String` | `getDriverClass(javax.sql.DataSource ds)`
    `java.lang.String` | `getJdbcUrl(javax.sql.DataSource ds)`
    `java.lang.String` | `getStatus()`
    `java.lang.String` | `getUser(javax.sql.DataSource ds)`

- - ### Method Detail

    - #### createDataSource

          javax.sql.DataSource createDataSource(Configuration dbConfig)
                                         throws java.beans.PropertyVetoException,
                                                java.sql.SQLException

      Throws:
        `java.beans.PropertyVetoException`
        `java.sql.SQLException`

    - #### getStatus

          java.lang.String getStatus()
                              throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getDriverClass

          java.lang.String getDriverClass(javax.sql.DataSource ds)

    - #### getJdbcUrl

          java.lang.String getJdbcUrl(javax.sql.DataSource ds)

    - #### getUser

          java.lang.String getUser(javax.sql.DataSource ds)

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly